<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h3><strong>Edit Driver</strong></h3>
      </div>
      <div class="ibox-content">
        <form class="form-horizontal" autocomplete="offaa" [formGroup]="EditDriverForm" (ngSubmit)="updateDriver()">
          <div class="row">
            <div class="col-lg-6">
              <div class="form-group">
                <label class="col-sm-2 control-label">Username <i aria-hidden="true" class="mandatory">*</i>
                </label>
                <div class="col-sm-10 form-input">
                  <label style="display:none">FAKE FIELD FOR DISABLING CHROME AUTO FILL
                  </label>
                  <input class="form-control" maxlength="15" placeholder="Username" type="text" name="username"
                    formControlName="username" />
                  <div class="error-msg" *ngIf="
                      EditDriverForm.controls['username'].invalid &&
                      (EditDriverForm.controls['username'].dirty ||
                        EditDriverForm.controls['username'].touched)
                    ">
                    <div *ngIf="
                        EditDriverForm.controls['username'].errors.required
                      ">
                      Username is required.
                    </div>
                  </div>
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Profile image</label>
                <div class="col-md-10">
                  <img *ngIf="imageUrl" class="driver-image" [src]="imageUrl" alt="profile img"/>
                  <image-upload [extensions]="['jpeg', 'jpg', 'png']" [buttonCaption]="'Select Image'" [max]="1"
                    [maxFileSize]="1048576" (removed)="onRemoved($event)"
                    (uploadFinished)="imageFinishedUploading($event)"
                    (uploadStateChanged)="onUploadStateChanged($event)">
                  </image-upload>
                  <span *ngIf="spandata == 'yes'" class="image-format clearimage">
                    Remove old image before new upload.
                  </span>
                  <span class="image-format">
                    Only jpeg, jpg, png formats are allowed.
                  </span>
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Password </label>
                <div class="col-sm-10 form-input">
                  <input type="password" placeholder=" Password" formControlName="password" minlength="5"
                    class="form-control" />
                  <div class="error-msg" *ngIf="EditDriverForm.controls['password'].invalid">
                    <div *ngIf="
                        EditDriverForm.controls['password'].errors.minlength
                      ">
                      Password should be atleast 5 characters long.
                    </div>
                    <div *ngIf="EditDriverForm.controls['password'].errors.pattern">
                      Password should contain lowercase, uppercase and number.
                    </div>
                    <div *ngIf="EditDriverForm.controls['password'].errors.required">
                      Password is required.
                    </div>
                  </div>
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Name <i aria-hidden="true" class="mandatory">*</i>
                </label>
                <div class="col-sm-10 form-input">
                  <input type="text" maxlength="20" placeholder=" Name" name="name" formControlName="name"
                    class="form-control" />
                  <div class="error-msg" *ngIf="
                      EditDriverForm.controls['name'].invalid &&
                      (EditDriverForm.controls['name'].dirty ||
                        EditDriverForm.controls['name'].touched)
                    ">
                    <div *ngIf="EditDriverForm.controls['name'].errors.required">
                      Name is required.
                    </div>
                  </div>
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Surname</label>
                <div class="col-sm-10 form-input">
                  <input type="text" maxlength="20" formControlName="surname" placeholder=" Surname"
                    class="form-control" />
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Display name <i aria-hidden="true" class="mandatory">*</i>
                </label>
                <div class="col-sm-10 form-input">
                  <input type="text" maxlength="25" name="display_name" placeholder=" Display name"
                    formControlName="display_name" class="form-control" />
                  <div class="error-msg" *ngIf="
                      EditDriverForm.controls['display_name'].invalid &&
                      (EditDriverForm.controls['display_name'].dirty ||
                        EditDriverForm.controls['display_name'].touched)
                    ">
                    <div *ngIf="
                        EditDriverForm.controls['display_name'].errors.required
                      ">
                      Display Name is required.
                    </div>
                  </div>
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">OIB</label>
                <div class="col-sm-10 form-input">
                  <input type="text" maxlength="15" formControlName="oib" placeholder=" OIB" class="form-control" />
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Gender <i aria-hidden="true" class="mandatory">*</i>
                </label>
                <div class="col-sm-10 form-input">
                  <mat-select class="form-control" name="gender" formControlName="gender" placeholder=" Gender">
                    <mat-option value="male">Male</mat-option>
                    <mat-option value="female">Female</mat-option>
                  </mat-select>
                  <div class="error-msg" *ngIf="
                      EditDriverForm.controls['gender'].invalid &&
                      (EditDriverForm.controls['gender'].dirty ||
                        EditDriverForm.controls['gender'].touched)
                    ">
                    <div *ngIf="EditDriverForm.controls['gender'].errors.required">
                      Gender is required.
                    </div>
                  </div>
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Marital status </label>
                <div class="col-sm-10 form-input">
                  <mat-select class="form-control" placeholder=" Marital status" name="marital_status"
                    formControlName="marital_status">
                    <mat-option value="Single">Single</mat-option>
                    <mat-option value="Married">Married</mat-option>
                    <mat-option value="Divorced">Divorced</mat-option>
                    <mat-option value="Other">Other</mat-option>
                  </mat-select>
                  <div class="error-msg" *ngIf="
                      EditDriverForm.controls['marital_status'].invalid &&
                      (EditDriverForm.controls['marital_status'].dirty ||
                        EditDriverForm.controls['marital_status'].touched)
                    ">
                    <div *ngIf="
                        EditDriverForm.controls['marital_status'].errors
                          .required
                      ">
                      Martial Status is required.
                    </div>
                  </div>
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Birth date </label>
                <div class="col-sm-10 form-input">
                  <my-date-picker class="date_picker" name="birth_date" placeholder="Select Birth date" formControlName="birth_date"
                    [options]="myBirthDatePickerOptions"></my-date-picker>
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Emirates ID </label>
                <div class="col-sm-10  form-input">
                  <input type="text" maxlength="20" formControlName="emirates_id" class="form-control"
                    placeholder=" Emirates ID" />
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Emirates ID expiry </label>
                <div class="col-sm-10  form-input">
                  <my-date-picker class="date_picker" name="emirates_id_expiry" placeholder=" Emirates ID expiry" formControlName="emirates_id_expiry"
                    [options]="myDatePickerExpiryOptions"></my-date-picker>
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Nationality</label>
                <div class="col-sm-10 form-input">
                  <input type="text" formControlName="nationality" placeholder=" Nationality"
                    class="form-control" />
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label">E-mail <i aria-hidden="true" class="mandatory">*</i>
                </label>
                <div class="col-sm-10 form-input">
                  <label style="display:none">FAKE FIELD FOR DISABLING CHROME AUTO FILL
                  </label>
                  <input type="text" maxlength="25" placeholder=" Email" name="email"
                    pattern="^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$" formControlName="email"
                    class="form-control" />
                  <div class="error-msg" *ngIf="
                      EditDriverForm.controls['email'].invalid
                    ">
                    <div *ngIf="EditDriverForm.controls['email'].errors.required">
                      E-mail is required.
                    </div>
                    <div [hidden]="
                        !EditDriverForm.controls['email'].errors.pattern
                      ">
                      E-mail is not valid.
                    </div>
                  </div>
                </div>
              </div>

            </div>

            <div class="col-lg-6">

              <div class="form-group">
                <label class="col-sm-2 control-label">Residence</label>
                <div class="col-sm-10 form-input">
                  <input type="text" maxlength="25" formControlName="residence" placeholder=" Residence"
                    class="form-control" />
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Residence expiry date
                </label>
                <div class="col-sm-10 form-input">
                  <my-date-picker class="date_picker" name="residence_expiry_date" placeholder=" Residence expiry date"
                    formControlName="residence_expiry_date" [options]="myDatePickerExpiryOptions"></my-date-picker>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label">Home address</label>
                <div class="col-sm-10 form-input">
                  <input type="text" formControlName="home_address" placeholder=" Home address" class="form-control" />
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label">Employee ID <i aria-hidden="true" class="mandatory">*</i>
                </label>
                <div class="col-sm-10  form-input">
                  <input type="text" maxlength="15" pattern="[0-9]+([.][0-9]+)?" formControlName="emp_id"
                    placeholder="Employee ID" class="form-control" />
                  <div class="error-msg" *ngIf="
                      EditDriverForm.controls['emp_id'].invalid &&
                      (EditDriverForm.controls['emp_id'].dirty ||
                        EditDriverForm.controls['emp_id'].touched)
                    ">
                    <div *ngIf="EditDriverForm['emp_id'].errors.required">
                      Employee ID is required.
                    </div>
                    <div [hidden]="
                        !EditDriverForm.controls['emp_id'].errors.pattern
                      ">
                      Only numbers are allowed.
                    </div>
                  </div>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label">Joined company since
                </label>
                <div class="col-sm-10 form-input">
                  <my-date-picker class="date_picker" name="company_join_date" placeholder=" Joined company since"
                    formControlName="company_join_date" [options]="myDatePickerOptions"></my-date-picker>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label">Driver licence number
                </label>
                <div class="col-sm-10 form-input">
                  <input type="text" maxlength="15" placeholder=" Driver licence number"
                    formControlName="driver_licence_number" class="form-control" />
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Driver licence expiry date
                </label>
                <div class="col-sm-10 form-input">
                  <my-date-picker class="date_picker" placeholder=" Driver licence expiry date" name="driver_licence_expiry_date"
                    formControlName="driver_licence_expiry_date" [options]="myDatePickerExpiryOptions"></my-date-picker>
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Phone number <i aria-hidden="true" class="mandatory">*</i>
                </label>
                <div class="col-sm-1" style="padding:10px">+971</div>
                <div class="col-sm-9 form-input">
                  <input type="text" formControlName="phone_number" maxlength="9" pattern="[0-9]+([.][0-9]+)?"
                    placeholder=" Phone number" class="form-control" />
                  <div class="error-msg" *ngIf="EditDriverForm.controls['phone_number'].invalid
                    ">
                    <div *ngIf="
                        EditDriverForm.controls['phone_number'].errors.required
                      ">
                      Phone number is required.
                    </div>
                    <div [hidden]="
                        !EditDriverForm.controls['phone_number'].errors.pattern
                      ">
                      Only numbers are allowed.
                    </div>
                    <div [hidden]="
                        !EditDriverForm.controls['phone_number'].errors
                          .minlength
                      ">
                      Phone number length should be of length 9 digits
                    </div>
                    <div [hidden]="
                        !EditDriverForm.controls['phone_number'].errors
                          .maxlength
                      ">
                      Phone number length should be of length 9 digits
                    </div>
                  </div>
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">VPN number </label>
                <div class="col-sm-10 form-input">
                  <input type="text" maxlength="15" formControlName="vpn_number" placeholder="VPN number"
                    class="form-control" />
                </div>
              </div>

              <div class="form-group" *ngIf='dtc'>
                <label class="col-sm-2 control-label">Company <i aria-hidden="true" class="mandatory">*</i></label>
                <div class="col-sm-10  form-input">
                  <mat-select class="form-control" placeholder="Companies" name="company" formControlName="company"
                    class="form-control" required>
                    <mat-option *ngFor="let group of CompanyData" [value]="group._id">
                      {{ group.company_name }}</mat-option>
                  </mat-select>
                  <div class="error-msg"
                    *ngIf="EditDriverForm.controls['company'].invalid && (EditDriverForm.controls['company'].dirty || EditDriverForm.controls['company'].touched)">
                    <div *ngIf="EditDriverForm.controls['company'].errors.required">Company is required.</div>
                  </div>
                </div>
              </div>

              <div class="form-group">
                <label class="col-sm-2 control-label">Register with WASL
                </label>
                <div class="col-sm-10 form-input">
                  <mat-select class="form-control" formControlName="register_with_WASL"
                    placeholder=" Register with WASL">
                    <mat-option value="yes">Yes</mat-option>
                    <mat-option value="no">No</mat-option>
                  </mat-select>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label">RTA permit number</label>
                <div class="col-sm-10 form-input">
                  <input type="text" formControlName="permit_number" placeholder="RTA permit number"
                    class="form-control" />
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label">RTA permit expiry</label>
                <div class="col-sm-10 form-input">
                  <my-date-picker class="date_picker" readonly name="permit_expiry_date" placeholder="Select RTA Permit number"
                    formControlName="permit_expiry_date" [options]="myDatePickerExpiryOptions"></my-date-picker>
                </div>
              </div>
              <div class="form-group">
                <label class="col-sm-2 control-label">Driver groups</label>
                <div class="col-sm-10 form-input">
                  <mat-select placeholder="Driver Groups" placeholder=" Driver groups" class="form-control"
                    formControlName="driver_groups" name="driver_groups" multiple>
                    <mat-option *ngFor="let group of driverGroupData" [value]="group._id">{{ group.name }}</mat-option>
                  </mat-select>
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <div class="col-sm-12">
              <div class="error-msg">{{message}}</div>
              <br /><br />
              <button [disabled]="updateFlag" class="btn btn-sm btn-primary blue" type="submit">
                Save changes
              </button>
              <button class="btn btn-sm btn-primary red" type="button" [routerLink]="['/admin/fleet/drivers']">
                Cancel
              </button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>